<?php

// Автор: Asadal (Шаповалов Эдуард)


include '../system/sys.php';
include '../system/funcs.php';

if ($us['level']<1) {
header ('location: /adm/');
exit;
}

switch($_GET['mod']) {
default:
H ('Админка', 'Смайлы');

$c_f = DB :: $dbs -> querySingle ("SELECT COUNT(*) FROM `Smiles`");

if($c_f == 0){
echo '<div class="raz">Смайлов нет</div>';
}
        
$query = DB :: $dbs -> query ("SELECT * FROM `Smiles` ORDER BY `id`");
while ($kat = $query -> fetch()) {
echo '<div class="list1"><img src="/files/Smiles/' . $kat['files'] . '">' . $kat['name'] . '</a></div>';
}
        
 echo '<div class="list1"><a href="/adm/smiles.php?mod=add_smiles">Добавить смайл</a></div>';
        
break;
case add_smiles:
H ('Добавления смайла');
 echo '
<div class="list1">
<form action="" method="POST" enctype="multipart/form-data">
Название смайла:<br/><input name="name"/><br/>
Выберите файл:<br><input type="file" name="filename"/><br>
<input type="submit" name="submit"  value="Добавить"/>
 </form>   
</div>
';

if(isset($_REQUEST['submit'])) {

$name = ($_POST['name']);

if(empty($name)) {
echo '<div class="raz"><center><b>Введите имя!</b></center></div>';
F ();
exit();
}

if(isset($_REQUEST['submit'])) {

$maxsize = 1;
$size = $_FILES['filename']['size']; // Вес файла

if(!@file_exists($_FILES['filename']['tmp_name'])) {
echo '<div class="raz">Вы не выбрали файл!</a></div>';
F ();
exit;
}

$files = $_SERVER['HTTP_HOST'].'_'.rand(1234,5678).'_'.rand(1234,5678).'_'.$_FILES['filename']['name']; 
move_uploaded_file($_FILES['filename']['tmp_name'], "../files/Smiles/".$files.""); 
DB :: $dbs -> query ("INSERT INTO `Smiles` (`name`, `files`) VALUES ('" . $name . "', '" . $files . "')");
echo '<div class="raz">Смайл добавлен!</a></div>';
F ();
exit;
}
}

        
break;      
}

F ();

?>